Page MenuHomePhabricator

Copying files with the FTP protocol fails if the password contains special characters
Closed, ResolvedPublicBUG

Description

Working:
copy file ftp://test:test1234@192.168.255.10/test.sh to /home/vyos/test.sh

Not working:
copy file ftp://test:test#1234@192.168.255.10/test.sh to /home/vyos/test.sh

curl: (6) Could not resolve host: test

Details

Difficulty level
Unknown (require assessment)
Version
crux (commit ID 1f9fdad)
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

dt-iland created this task.May 23 2019, 4:12 PM
pasik added a subscriber: pasik.May 27 2019, 8:46 AM
syncer assigned this task to Dmitry.Aug 31 2019, 12:19 AM
syncer triaged this task as Low priority.
Dmitry changed the task status from Open to Needs testing.Oct 16 2019, 6:36 PM
Dmitry set Is it a breaking change? to Perfectly compatible.
c-po changed the task status from Needs testing to Backport pending.Oct 17 2019, 7:38 PM
syncer closed this task as Resolved.Sun, Nov 17, 12:05 AM
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.